#!/bin/sh
# htop-transparent.sh
# Le même bouton sert à ouvrir et fermer le programme.
####
Geom="g 120x32+168+188" # Ok avec Monaco-13; trop large avec Monaco-14.
CoLR="bg sienna4 -fg cornsilk -bd firebrick4 -cr firebrick4"
TRNSP="tr -tint AntiqueWhite3 -sh 57" # transparence
FNT="fn xft:Monaco:pixelsize=13:antialias=true:autohint=true"

kill "`pidof -s htop`" >/dev/null 2>&1 || rxvt -sh 39 -$Geom -$CoLR -$TRNSP +sb -$FNT &>/dev/null -e htop -d 20

#### Autres choix :
## de taille : # "xft:Monaco-10"
## de fonte : -fn "xft:Liberation Mono:pixelsize=14:antialias=true:autohint=true"
## pour fermer et ouvrir : # wmctrl -c htop >/dev/null 2>&1 || rxvt
## de cadre : +sb +st +tcw -T htop  -b 4  -$G  -$CLR
## de paramètres pour htop : -e htop -d 20 -s PERCENT_MEM
####
