#!/bin/ash
# /root/.waimea/waimea-menu-LANG.sh
#
# Goal: set the waimea menu to the user's language. /
# Objectif : choisir la langue du menu de waimea.
#
# (c) musher0, Dec. 23, 2017. GPL3
####
cd /root/.waimea

[ ! -f menu ] && cp -f menu-"${LANG:0:2}" menu
# In case there would be no menu file in the dir.
# it will be copied. However, you will have to
# go back to the initial black console and restart
# waimea with the command < xwin waimea >
# (without the chevrons).
###
# Au cas où il n'y aurait pas de fichier menu dans le
# répertoire, il sera copié. Mais vous devrez retourner
# à la console noire initiale et redémarrer waimea par
# la commande < xwin waimea > (sans les chevrons).

[ "`grep "(¤${LANG:0:2}¤)" menu`" ] || cp -f menu-"${LANG:0:2}" menu
# I have put a language marker in the menu. If this
# marker is the same as ${LANG:0:2}, no menu file
# is copied, there is no need.
###
# J'ai placé un marqueur de langue dans le menu. Si
# ce marqueur est le même que ${LANG:0:2}, on n'a
# pas besoin de copier le fichier de menu.
