#!/bin/sh
# /root/my-applications/Systeme/ps-a-forest2.sh
# Dépendance : / Dependency: $MBINS/visionner-avec-less6.sh
# Objectif : Voir une hiérarchie des processus en cours. / Goal: View a tree of ongoing processes.
# (c) musher0, 12 février 2016. Rév. 19 déc. 2017. GPL3
#### set -xe
MBINS=/opt/local/bin
psawk () { ps | awk '$4=="less" && $0 ~ forest { print $1 }'; } # 1ère fonction

forest () {
if [ "${LANG:0:2}" = "fr" ];then # variables pour la trad.
	Titre=".\t\t\t\t\e[1;4;33m                                     \e[0m\n
\t\t\t\t\e[1;33m  Hiérarchie des processus en cours \e[0m
\t\t\t\t\e[1;4;33m                                     \e[0m"
	Instruc="\n\t\t\e[1;37m(Taper la 'flèche vers la droite' si la ligne semble tronquée.)\e[0m\n"
	TETE=" \e[2;40;1;32m No \tTTY\t   ÉTAT  TEMPS COMMANDE\e[0m"
	echo "Hiérarchie des processus en cours" > /tmp/TitreFen
	PIED="$TETE"
else
	Titre=".\t\t\t\t\e[1;4;33m                                   \e[0m\n
\t\t\t\t\t\e[1;33m    Running Processes Tree\e[0m
\t\t\t\t\e[1;4;33m                                   \e[0m"
	Instruc="\n\t\t\t\e[1;37m  (Use 'right arrow' if the line appears truncated.)\e[0m\n"
	PIED="\t \e[2;40;1;32mPID\t\tTIME\t\tCOMMAND\e[0m"
	echo "Running Processes Tree" > /tmp/TitreFen
fi

ps-FULL a --forest > /tmp/ps-a.forest.tri # Obtenir liste
echo -e "$Titre\n$Instruc\n$TETE\n`cat /tmp/ps-a.forest.tri`\n$PIED\n$Titre\n." > /tmp/ps-a.forest ## Recréer
$MBINS/visionner-avec-less6.sh /tmp/ps-a.forest
rm -f /tmp/ps-a.fores*
rm -f /tmp/TitreFen; } ## Afficher # 2e fonction

[ "`psawk`" ] && kill -s 9 `psawk` || forest # Action # set +xe
